#  My personla Python project
#  More updates will be coming


print("-------------------------")
print("")
print("1. Weather")
print("2. Salary")
print("3. Bank balance")
print("4. Calendar")
print("")
print("-------------------------")

print("")
print("Welcome to our service")
print("")
print("")
user_ask = input("What would you like to check: ")
print("")

# -------------------------------

class User:
    def __init__(self, user_ask):
        self.user_ask = user_ask

    def get_data(self):
        if user_ask == "1":
            print(weather)
        elif user_ask == "2":
            print("Coming soon")
        elif user_ask == "3":
            print("Coming soon")
        elif user_ask == "4":
            print("Coming soon")
        else:
            print("Please try again." + quit(weather))

result_user = User(user_ask)
result_user.get_data()

#  -------------------------------

weather = {
  "Monday": "Warm",
  "Tuesday": "Cold",
  "Wednesday": "Freezing"
}

ask = input("Weather: ")

class Weather:
    def __init__(self, weather, ask):
        self.weather = weather
        self.ask = ask

    def weather_ask(self):
        if ask == "monday":
            print("The weather on " + ask + " will be " + weather["Monday"])
        elif ask == "tuesday":
            print("The weather on " + ask + " will be " + weather["Tuesday"])
        elif ask == "wednesday":
            print("The weather on " + ask + " will be " + weather["Wednesday"])
        else:
            print("Try again")

result_weather = Weather(weather, ask)
result_weather.weather_ask()
